com.google.gwt.core.ext.linker

## Class PublicResource

- java.lang.Object
- - com.google.gwt.core.ext.linker.Artifact<EmittedArtifact>
  - - com.google.gwt.core.ext.linker.EmittedArtifact
    - - com.google.gwt.core.ext.linker.PublicResource

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Artifact<?>>

    public abstract class PublicResource
    extends EmittedArtifact

A resource in the module's public path.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.core.ext.linker.EmittedArtifact

`EmittedArtifact.Visibility`

### Constructor Summary

Constructors
`protected` `PublicResource(java.lang.Class<? extends Linker> linkerType, java.lang.String partialPath)`

### Method Summary

### Methods inherited from class com.google.gwt.core.ext.linker.EmittedArtifact

`compareToComparableArtifact, getComparableArtifactType, getContents, getLastModified, getPartialPath, getVisibility, hashCode, setVisibility, toString, writeTo`

### Methods inherited from class com.google.gwt.core.ext.linker.Artifact

`compareTo, equals, getLinker, isTransferableFromShards`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PublicResource

    protected PublicResource(java.lang.Class<? extends Linker> linkerType,
                             java.lang.String partialPath)